Skip to main content

Get a lead by ID

GEThttps://api.propexo.com/v1/leads/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the lead

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_created_atnullrequired

    The date the record first entered the integration vendor

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_guestcard_idnullrequired

    The external ID of the guestcard from the integration vendor

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    ILS Guest Card/ItfProspect/GetApplication
    Example: p0939512
    x_leasing_agent_idnullrequired

    The external ID of the leasing agent from the integration vendor

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    ILS Guest Card/ItfProspect/GetApplication
    Example: 3299
    x_unit_idnullrequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_unit_id_preferredstring[]required

    The external IDs of the units from the integration vendor that the lead is interested in

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: ["312441"]
    x_updated_atnullrequired

    The date the record was last updated in the integration vendor

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_lead_source_idnullrequired

    The external ID of the lead source from the integration vendor

    Notice

    This field will always be null for YARDI_REST

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: 2 test st
    address_2string | nullnullablerequired

    The second address line associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: Apt 1
    citystring | nullnullablerequired

    The city associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: Richmond
    countrystring | nullnullablerequired

    The country associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: United States
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    Example: 1989-01-01T00:00:00.000Z
    desired_amenitiesnullrequired

    The desired amenities associated with the lead

    Notice

    This field will always be null for YARDI_REST

    Example: null
    desired_floor_plan_idstring | nullnullablerequired

    The external ID of desired floor plan associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: 123
    desired_floor_plan_namenullrequired

    The desired floor plan name

    Notice

    This field will always be null for YARDI_REST

    Example: null
    desired_lease_term_in_monthsnullrequired

    The desired lease term

    Notice

    This field will always be null for YARDI_REST

    Example: null
    desired_max_rent_in_centsnumber | nullnullablerequired

    The desired maximum rent

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: 150000
    desired_max_square_ftnullrequired

    The desired maximum square feet

    Notice

    This field will always be null for YARDI_REST

    Example: null
    desired_min_rent_in_centsnumber | nullnullablerequired

    The desired minimum rent

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: 150000
    desired_min_square_ftnullrequired

    The desired minimum square feet

    Notice

    This field will always be null for YARDI_REST

    Example: null
    desired_num_bathroomsnullrequired

    The desired number of bathrooms

    Notice

    This field will always be null for YARDI_REST

    Example: null
    desired_num_bedroomsinteger | nullnullablerequired

    The desired number of bedrooms

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: 2
    desired_unit_numberstring | nullnullablerequired

    The desired unit number

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: 122
    desired_unit_typenullrequired

    The desired unit type

    Notice

    This field will always be null for YARDI_REST

    Example: null
    email_1string | nullnullablerequired

    The primary email address associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    email_2nullrequired

    The secondary email address associated with the lead

    Notice

    This field will always be null for YARDI_REST

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: Test
    ilsnullrequired

    The name of the Internet listing service

    Notice

    This field will always be null for YARDI_REST

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: Tester
    lead_sourcestring | nullnullablerequired

    The lead source

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: 4walls.net
    leasing_agentstring | nullnullablerequired

    The name of the leasing agent

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: Craig Smith
    middle_namestring | nullnullablerequired

    The middle name associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: A
    notesnullrequired

    Notes associated with the lead

    Notice

    This field will always be null for YARDI_REST

    Example: null
    number_of_occupantsnullrequired

    The number of occupants

    Notice

    This field will always be null for YARDI_REST

    Example: null
    pet_detailsnullrequireddeprecated

    DEPRECATED: Use the pets array instead

    Notice

    This field will always be null for YARDI_REST

    Example: null
    pets object[]required

    The pets associated with the lead

  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Important

    Pet data in Yardi requires additional configuration for your Propexo integration. Please contact Propexo support for more information.

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    Example: cmrf7uug0000104l86lyodti3
    age_in_yearsnumber | nullnullablerequired

    The age in years of the lead pet

    Important

    Pet data in Yardi requires additional configuration for your Propexo integration. Please contact Propexo support for more information.

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    Example: 3
    breedstring | nullnullablerequired

    The breed of the lead pet

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    Example: Golden Retriever
    colorstring | nullnullablerequired

    The color of the lead pet

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    Example: Golden
    gender_rawstring | nullnullablerequired

    The raw value for the gender of the lead pet

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    Example: M
    is_fixedboolean | nullnullablerequired

    Whether the lead pet is fixed

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    Example: true
    is_service_animalboolean | nullnullablerequired

    Whether the lead pet is a service animal

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    namestring | nullnullablerequired

    The name associated with the lead pet

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    Example: Buddy
    notesnullrequired

    Notes associated with the lead pet

    Notice

    This field will always be null for YARDI_REST

    Example: null
    typestring | nullnullablerequired

    The type associated with the lead pet

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    Example: Dog
    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the lead pet

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetApplication
    Example: 50
    custom_data object | nullrequired
    object
  • ]
  • phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: office
    phone_1string | nullnullablerequired

    Primary phone number associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: 5555555555
    phone_2_typenullrequired

    Type of the secondary phone number

    Notice

    This field will always be null for YARDI_REST

    Example: null
    phone_2nullrequired

    Secondary phone number associated with the lead

    Notice

    This field will always be null for YARDI_REST

    Example: null
    statestring | nullnullablerequired

    The state associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: VA
    statusnullrequired

    The raw status associated with the lead

    Notice

    This field will always be null for YARDI_REST

    Example: null
    target_move_in_datestring | nullnullablerequired

    The target move in date

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: 2026-06-26T00:00:00.000Z
    zipstring | nullnullablerequired

    The zip code associated with the lead

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: 23220
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    lead_source_idnullrequired

    The Propexo unique identifier for the lead source

    Notice

    This field will always be null for YARDI_REST

    Example: null
    unit_id_preferredstring[]required

    The Propexo unique identifiers for the units that the lead is interested in

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiGuestActivity
    Example: ["testintegration:1:312441"]
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum25required

    The property management system of record

    Show 13 enum values
    YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI
    Example: YARDI_REST
    screenings object[]required
    Notice

    This field is not currently hydrated for YARDI_REST

  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    status_rawstring | nullnullablerequired

    The status/results of the screening

    Notice

    This field is not currently hydrated for YARDI_REST

    screening_datestring | nullnullablerequired

    The date the screening took place

    Notice

    This field is not currently hydrated for YARDI_REST

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/leads/:id
curl https://api.propexo.com/v1/leads/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": null,
"x_guestcard_id": null,
"x_id": "p0939512",
"x_leasing_agent_id": null,
"x_property_id": "3299",
"x_unit_id_preferred": [
"312441"
],
"x_updated_at": null,
"x_lead_source_id": null,
"address_1": "2 test st",
"address_2": "Apt 1",
"city": "Richmond",
"country": "United States",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1989-01-01T00:00:00.000Z",
"desired_amenities": null,
"desired_floor_plan_id": "123",
"desired_floor_plan_name": null,
"desired_lease_term_in_months": null,
"desired_max_rent_in_cents": 150000,
"desired_max_square_ft": null,
"desired_min_rent_in_cents": 150000,
"desired_min_square_ft": null,
"desired_num_bathrooms": null,
"desired_num_bedrooms": 2,
"desired_unit_number": "122",
"desired_unit_type": null,
"email_1": "[email protected]",
"email_2": null,
"first_name": "Test",
"ils": null,
"last_name": "Tester",
"lead_source": "4walls.net",
"leasing_agent": "Craig Smith",
"middle_name": "A",
"notes": null,
"number_of_occupants": null,
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cmrf7uug0000104l86lyodti3",
"age_in_years": 3,
"breed": "Golden Retriever",
"color": "Golden",
"gender_raw": "M",
"is_fixed": true,
"is_service_animal": true,
"name": "Buddy",
"notes": null,
"type": "Dog",
"weight_in_pounds": 50,
"custom_data": "Unknown Type: object,null"
}
],
"phone_1_type": "office",
"phone_1": "5555555555",
"phone_2_type": null,
"phone_2": null,
"state": "VA",
"status": null,
"target_move_in_date": "2026-06-26T00:00:00.000Z",
"zip": "23220",
"property_id": "clwi5xiix000008l6ctdgafyh",
"lead_source_id": null,
"unit_id_preferred": [
"testintegration:1:312441"
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
}